Bug 2068767 - cjdns restart loop on up script failure
Summary: cjdns restart loop on up script failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cjdns
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-03-26 16:53 UTC by Stuart D Gathman
Modified: 2022-04-14 17:29 UTC (History)
1 user (show)

Fixed In Version: cjdns-21.1-2.el8 cjdns-21.1-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-14 17:10:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Stuart D Gathman 2022-03-26 16:53:51 UTC
Description of problem:
restart loop with each start failing with RTNETLINK answers: File exists

Version-Release number of selected component (if applicable):
cjdns-21.1-3

How reproducible:
Always

Steps to Reproduce:
1. Add a script to /etc/cjdns/up.d that fails, e.g. by adding a dup route
2. start/restart cjdns
3.

Actual results:
systemd sees up failure as startup failure and restart, rinse, repeat

Expected results:
up scripts execution should be logged, and failure should probably be ignore,
or cjdns-up moved to one-shot service that starts after cjdns.

Additional info:
I've already pushed up script logging to epel8 and rawhide.

Comment 1 Stuart D Gathman 2022-04-05 17:03:17 UTC
Pushed to epel7.

Comment 2 Fedora Update System 2022-04-05 17:06:07 UTC
FEDORA-EPEL-2022-3c2dcad1af has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-3c2dcad1af

Comment 3 Fedora Update System 2022-04-05 17:07:14 UTC
FEDORA-EPEL-2022-50bff7a126 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-50bff7a126

Comment 4 Fedora Update System 2022-04-06 19:55:04 UTC
FEDORA-EPEL-2022-50bff7a126 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-50bff7a126

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-04-06 20:11:43 UTC
FEDORA-EPEL-2022-3c2dcad1af has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-3c2dcad1af

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-04-14 17:10:38 UTC
FEDORA-EPEL-2022-50bff7a126 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2022-04-14 17:29:01 UTC
FEDORA-EPEL-2022-3c2dcad1af has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.